Skip to main content
locations

Create a location

Creates a location in a location category of the studio, optionally nested under a parent location of the same category. Locations can be nested up to 6 levels.

POST
/v1/locations
beam-api-keystringheaderrequired

Body

application/json
addressstring | null

Optional location address. Send null or omit for none

colorstring

Optional hex color, for example #1a2b3c. The location category color takes precedence when it has one

Pattern: ^#([0-9a-f]{3}){1,2}$/i
descriptionstring | null

Optional location description. Send null or omit for none

externalIdstring

Optional identifier of the location in an external system

iconstringrequired

Icon identifier for the location

Minimum string length: 1
locationCategoryIdstringrequired

Id of a location category belonging to the studio

namestringrequired

Location name. Must be unique under the same parent within the location category

Minimum string length: 1
parentIdstring | null

Optional id of the parent location. The parent must belong to the same studio and location category. Send null or omit for a top level location

Response

application/json

The created location

addressstring | nullrequired
colorstringrequired
createdAtstringrequired
descriptionstring | nullrequired
externalIdstring | nullrequired
iconstringrequired
idstringrequired
locationCategoryIdstringrequired
namestringrequired
nestedLevelnumberrequired
parentIdstring | nullrequired
updatedAtstringrequired